Bug 51118 - LDAP cache is cleared after graceful/restart and ongoing client processes can't access the newly created cache
Summary: LDAP cache is cleared after graceful/restart and ongoing client processes can...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ldap (show other bugs)
Version: 2.2.17
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-04-26 03:57 UTC by siukola.antti
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description siukola.antti 2011-04-26 03:57:23 UTC
LDAP cache is cleared after graceful/restart and ongoing client connections can't access the newly created cache. This causes client connections to last very long especially with DAV connections when path authorisation is being used (ldap searches/cache hits can be up to thousands per client action).

1. Cache should be accessible by already ongoing client connections

2. Option to not clear the cache on graceful/restart
Comment 1 Eric Covener 2011-04-27 12:37:10 UTC
Another idea would be a non-default option to let the child create a local cache, which users would opt-in to if they had ldap protected requests with thousands of subrequests (if I understand the report/issue correctly).  Perhaps The child would only use it when it was exiting _and_ had some hint that it was chugging through subrequests.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:05 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.